org.apache.felix.ipojo.manipulator.spi

## Interface Module

All Superinterfaces:
  Iterable<Binding>

All Known Implementing Classes:
  AbsBindingModule, DefaultBindingModule

    public interface Module
    extends Iterable<Binding>

A Module is the contributions from third party to the iPOJO manipulation process. It is dedicated to Annotation binding support (executing a given ASM AnnotationVisitor when a particular annotation is found).

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `load()` Load the bindings provided by this module (only once).

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### load

    void load()

Load the bindings provided by this module (only once).

Since:
  1.11.2